/*********************************************************************************************************************/
// This is all the Static Objects data created for WL_ACT1.CPP.
/*********************************************************************************************************************/

    {SPR_STAT_0},                           // puddle          spr1v
    {SPR_STAT_1,block},                     // Green Barrel    "
    {SPR_STAT_2,block},                     // Table/chairs    "
    {SPR_STAT_3,block,FL_FULLBRIGHT},       // Floor lamp      "
    {SPR_STAT_4,none,FL_FULLBRIGHT},        // Chandelier      "
    {SPR_STAT_5,block},                     // Hanged man      "
    {SPR_STAT_6,bo_alpo},                   // Bad food        "
    {SPR_STAT_7,block},                     // Red pillar      "
    //
    // NEW PAGE
    //
    {SPR_STAT_8,block},                     // Tree            spr2v
    {SPR_STAT_9},                           // Skeleton flat   "
    {SPR_STAT_10,block},                    // Sink            " (SOD:gibs)
    {SPR_STAT_11,block},                    // Potted plant    "
    {SPR_STAT_12,block},                    // Urn             "
    {SPR_STAT_13,block},                    // Bare table      "
    {SPR_STAT_14,none,FL_FULLBRIGHT},       // Ceiling light   "
    #ifndef SPEAR
    {SPR_STAT_15},                          // Kitchen stuff   "
    #else
    {SPR_STAT_15,block},                    // Gibs!
    #endif
    //
    // NEW PAGE
    //
    {SPR_STAT_16,block},                    // suit of armor   spr3v
    {SPR_STAT_17,block},                    // Hanging cage    "
    {SPR_STAT_18,block},                    // SkeletoninCage  "
    {SPR_STAT_19},                          // Skeleton relax  "
    {SPR_STAT_20,bo_key1},                  // Key 1           "
    {SPR_STAT_21,bo_key2},                  // Key 2           "
    {SPR_STAT_22,block},                    // stuff             (SOD:gibs)
    {SPR_STAT_23},                          // stuff
    //
    // NEW PAGE
    //
    {SPR_STAT_24,bo_food},                  // Good food       spr4v
    {SPR_STAT_25,bo_firstaid},              // First aid       "
    {SPR_STAT_26,bo_clip},                  // Clip            "
    {SPR_STAT_27,bo_machinegun},            // Machine gun     "
    {SPR_STAT_28,bo_chaingun},              // Gatling gun     "
    {SPR_STAT_29,bo_cross},                 // Cross           "
    {SPR_STAT_30,bo_chalice},               // Chalice         "
    {SPR_STAT_31,bo_bible},                 // Bible           "
    //
    // NEW PAGE
    //
    {SPR_STAT_32,bo_crown},                 // crown           spr5v
    {SPR_STAT_33,bo_fullheal,FL_FULLBRIGHT},// one up          "
    {SPR_STAT_34,bo_gibs},                  // gibs            "
    {SPR_STAT_35,block},                    // barrel          "
    {SPR_STAT_36,block},                    // well            "
    {SPR_STAT_37,block},                    // Empty well      "
    {SPR_STAT_38,bo_gibs},                  // Gibs 2          "
    {SPR_STAT_39,block},                    // flag            "
    //
    // NEW PAGE
    //
    #ifndef SPEAR
    #ifdef AARDWOLFISAMMO                   // Is "Say Aardwolf" sprite now SOD's ammo box?
    {SPR_STAT_40,bo_25clip},                // Yes, it's an ammo box                  spr7v
    #else
    {SPR_STAT_40,block},                    // Nope, it's "Call Apogee"               spr7v
    #endif
    #else
    {SPR_STAT_40},                          // Red light
    #endif
    //
    // NEW PAGE
    //
    {SPR_STAT_41},                          // junk            "
    {SPR_STAT_42},                          // junk            "
    {SPR_STAT_43},                          // junk            "
    #ifndef SPEAR
    {SPR_STAT_44},                          // pots            "
    #else
    {SPR_STAT_44,block},                    // Gibs!
    #endif
    {SPR_STAT_45,block},                    // stove           " (SOD:gibs)
    {SPR_STAT_46,block},                    // spears          " (SOD:gibs)
    {SPR_STAT_47},                          // vines           "
    //
    // NEW PAGE
    //
    #ifdef SPEAR
    {SPR_STAT_48,block},                    // marble pillar
    {SPR_STAT_49,bo_25clip},                // bonus 25 clip
    {SPR_STAT_50,block},                    // truck
    {SPR_STAT_51,bo_spear},                 // SPEAR OF DESTINY!
    #endif

#ifdef SPAWNEMPTYHEALTH      // Leave "empty" health items
    {SPR_EMPTYDOGF},                          // empty dog bin
    {SPR_EMPTYFOOD},                          // empty food plate
    {SPR_EMPTYMED},                           // empty medkit
#endif
#ifdef USE_DIR3DSPR
    // These are just two examples showing the new way of using dir 3d sprites.
    // You can find the allowed values in the objflag_t enum in wl_def.h.
    {SPR_STAT_47,none,FL_DIR_VERT_MID},
    {SPR_STAT_47,block,FL_DIR_HORIZ_MID},
#endif

#ifdef BONUSFEATURES
    {SPR_KEY3,bo_key3},
    {SPR_KEY4,bo_key4},
    {SPR_STAT_46,block,FL_DIR_HORIZ_MID},  //  Spear rack E/W
    {SPR_STAT_46,block,FL_DIR_VERT_MID},   //  Spear rack N/S
    {SPR_BRCOLUMN,block},                  //  SOD brown column
    {SPR_SODREDLIGHT,none,FL_FULLBRIGHT},  //  SOD Red ceiling light
    {SPR_TRUCKREAR,block},                 //  SOD truck rear
    {SPR_BLUELIGHT,none,FL_FULLBRIGHT},    //  Tricob's blue overhead light
    {SPR_ADAMPLANT,block},                 //  Adam Biser's plant in Tricob's vase
    {SPR_BULB,none,FL_FULLBRIGHT},         //  Tricob's light bulb
#endif

// Flag sprites - first the pole, then the flag
#ifdef TWOPIECEFLAGOBJ
#ifdef USE_DIR3DSPR
    {SPR_FLAGPOLE,block},
    {SPR_FLAGFR,block,FL_DIR_HORIZ_MID},
    {SPR_FLAGFR,block,FL_DIR_VERT_MID},
#endif
#endif

#ifdef BONUSFEATURES
    {SPR_CANDLE_OFF,block},                //  Tricob's candle unlit
    {SPR_CANDLE_ON1,block,FL_FULLBRIGHT},  //  Tricob's candle lit
#endif
